.page-content-container {
	text-align: center;
}

.page-title-container {
	margin: 50px 20px 35px;
}

.page-title-container h3 {
	text-transform: uppercase;
	margin: 0;
	margin-bottom: 20px;
}

.page-title-container h1 {
	font-family: var(--font-header-family);
	font-style: var(--font-header-style);
	font-size: calc(var(--font-heading-scale)* var(--font-header-size-md));
	font-weight: var(--font-header-weight);
	line-height: var(--font-header-line-height);
	letter-spacing: var(--font-header-letter-spacing);
	margin: 0;
}

.page-content-container p {
	margin: 0;
}

@media screen and (max-width: 550px) {
	.page-content-container p {
		font-size: calc(var(--font-heading-scale)* 1.6rem);
	}
}

.page-content-container strong {
	font-weight: var(--font-body-weight-bold);
}

/* Partials Styles */
.page-banner-container {
	width: 100%;
}

.page-banner-container img {
	width: 100%;
}


/* Specific Page Styles */

/* HOME */
.home-page-container {
	max-width: none;
	width: 100%;
	display: flex;
	flex-flow: row wrap;
}


/* OUR STORY */
.our-story-page-container .inner-content-wrapper {
	max-width: 800px;
	margin: 0 auto;
	padding: 0 50px;
}

.our-story-page-container p {
	margin-block-start: 1em;
	margin-block-end: 1em;
}

.our-story-page-container figure.wp-block-embed-youtube {
	margin-top: 50px;
}

@media screen and (max-width: 550px) {
.our-story-page-container .inner-content-wrapper {
		padding: 0 20px;
	}
}

.custom-slideshow-container {
	display: flex;
	align-items: center;
	justify-content: center;
	position: relative;
	flex-direction: column;
	margin-bottom: 20px;
}

.custom-slideshow {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	position: relative;
	max-width: 800px;
	height: 500px;
	overflow: hidden;
	background-color: #eee;
}

.custom-slideshow .slide {
	width: 100%;
	height: 100%;
	max-width: 800px;
	max-height: 500px;
	object-fit: contain;
}

.custom-slideshow .slide.fit-cover {
	object-fit: cover;
	/* Switch to contain for portraits */
}

.custom-slideshow-container .slide {
	display: none;
}

.custom-slideshow-container .slide.active {
	display: block;
}

.custom-slideshow-buttons {
	position: absolute;
	top: 250px;
	transform: translateY(-50%);
	display: flex;
	justify-content: space-between;
	width: 100%;
	z-index: 2;
}

.custom-slideshow-buttons button {
	position: relative;
	background-color: transparent;
	color: black;
	border: none;
	font-size: 26px;
	padding: 10px;
	cursor: pointer;
	border-radius: 50%;
	transition: background-color 0.3s;
}

.custom-slideshow-container button.prev {
	left: -50px;
}

.custom-slideshow-container button.next {
	right: -50px;
}

.custom-slideshow-container button:hover {
	color: rgba(0, 0, 0, 0.5);
}

@media screen and (max-width: 550px) {
	.custom-slideshow-container button {
		background-color: rgba(255, 255, 255, .5);
		height: 40px;
		width: 40px;
		font-size: 20px;
		justify-content: center;
		align-items: center;
		display: flex;
	}

	.custom-slideshow-container button.prev {
		left: 2px;
		padding-right: 13px;
	}

	.custom-slideshow-container button.next {
		right: 2px;
		padding-left: 13px;
	}
}

.custom-slideshow-thumbnails {
	display: flex;
	justify-content: center;
	margin-top: 16px;
}

.custom-slideshow-container .thumbnail {
	width: 80px;
	height: 80px;
	object-fit: cover;
	margin: 0 4px;
	cursor: pointer;
	transition: transform 0.2s;
}

.custom-slideshow-container .thumbnail:hover {
	transform: scale(1.1);
}

.custom-slideshow-container .thumbnail.active {
	border: 2px solid #007bff;
}

@media screen and (max-width: 768px) {
	.custom-slideshow {
		height: 400px;
	}

	.custom-slideshow-buttons {
		top: 200px;
	}

	.custom-slideshow-thumbnails {
		flex-wrap: wrap;
		row-gap: 8px;
	}
}

@media screen and (max-width: 550px) {
	.custom-slideshow {
		height: 300px;
	}

	.custom-slideshow-buttons {
		top: 150px;
	}
}


/* LOCATIONS */
.locations-page-container .inner-content-wrapper {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-around;
	max-width: var(--max-page-width);
	margin: 0 auto;
	padding: 0 30px;
}

.our-story-page-container .inner-content-wrapper,
.locations-page-container .inner-content-wrapper,
.contact-page-container .inner-content-wrapper {
	margin-bottom: 50px;
}


/* CATERING */
.catering-page-container .menu-section-container {
	padding-top: 50px;
}

.catering-page-container .inner-content-wrapper > .wp-block-buttons .wp-block-button {
	margin: 0 auto
}

.catering-page-container .menu-footer-block{
	max-width: 700px;
}

/* CONTACT */
.contact-page-container form.wpforms-form {
	max-width: 450px;
	margin: 0 auto;
	padding: 0 20px;
}

.contact-page-container .wpforms-field-medium {
	width: 100%;
	max-width: 100% !important
}

.contact-page-container button[type="submit"] {
	min-width: 150px;
}

div.wpforms-container-full .wpforms-confirmation-container-full,
div[submit-success]>.wpforms-confirmation-container-full:not(.wpforms-redirection-message) {
	background: #fff !important;
	border: none !important;
}

.contact-page-container select.wpforms-field-medium {
	/* Default color for the placeholder */
	color: rgba(0, 0, 0, 0.3)!important;
}

.contact-page-container select.wpforms-field-medium:valid {
	/* Normal color once user selects a real option */
	color: rgba(0, 0, 0, 0.7) !important;
}
